﻿#pragma once

#include "..\..\DuiLib\UIlib.h"
#include "DuiDefine.h"

class MainFrame;

class CSettingMessage : public CContainerUI
{
public:
	CSettingMessage(CPaintManagerUI& paint_manager);
	~CSettingMessage();

	void CreateControl();
	void InitControl();
	void SetCheckBtnCheck(CControlUI *pBtnContrl, int checked);
	void ProcLabelEvent(CControlUI* pCtrl);

	void NotifyCtrlClick(TNotifyUI& msg);
	bool DoApply();
	void InitData();
private:
	int b_notifyOnNews; // notification on new chat msg;
	int b_shieldMobile;                //Shield mobile notification when PC is online;
	int b_TrayOnLogin; // notification on new chat msg;
	int b_NotifyOnMailOrSMS;                //Shield mobile notification when PC is online;
	
	
	int b_SoundOn;
	int b_OffChatSound;
	int b_OffMsgSound;
	int b_OffSoundNotOnline;

	int minute;
	CPaintManagerUI& paint_manager_;
};
